﻿
GO
PRINT N'Creando [RADIO].[CALIFICACIONES_SOLICITUDES]...';


GO
CREATE TABLE [RADIO].[CALIFICACIONES_SOLICITUDES] (
    [SOL_UID]           UNIQUEIDENTIFIER NOT NULL,
    [VALUE_CRITERIA_1]  INT              NULL,
    [VALUE_CRITERIA_2]  INT              NULL,
    [VALUE_CRITERIA_3]  INT              NULL,
    [VALUE_CRITERIA_4]  INT              NULL,
    [VALUE_CRITERIA_5]  INT              NULL,
    [VALUE_CRITERIA_6]  INT              NULL,
    [VALUE_CRITERIA_7]  INT              NULL,
    [VALUE_CRITERIA_8]  INT              NULL,
    [VALUE_CRITERIA_9]  INT              NULL,
    [VALUE_CRITERIA_10] INT              NULL,
    [VALUE_CRITERIA_11] INT              NULL,
    [VALUE_CRITERIA_12] INT              NULL,
    [VALUE_CRITERIA_13] INT              NULL,
    [VALUE_CRITERIA_14] INT              NULL,
    [VALUE_CRITERIA_15] INT              NULL,
    [VALUE_CRITERIA_16] INT              NULL,
    [VALUE_CRITERIA_17] INT              NULL,
    [VALUE_CRITERIA_18] INT              NULL,
    [VALUE_CRITERIA_19] INT              NULL,
    [VALUE_CRITERIA_20] INT              NULL,
    [VALUE_CRITERIA_21] INT              NULL,
    [VALUE_CRITERIA_22] INT              NULL,
    [VALUE_CRITERIA_23] INT              NULL,
    [VALUE_CRITERIA_24] INT              NULL,
    [VALUE_CRITERIA_25] INT              NULL,
    CONSTRAINT [PK_CALIFICACIONES_SOLICITUDES] PRIMARY KEY CLUSTERED ([SOL_UID] ASC)
);


GO
PRINT N'Creando [RADIO].[CONFIGURACION_PROCESO]...';


GO
CREATE TABLE [RADIO].[CONFIGURACION_PROCESO] (
    [ID]                              UNIQUEIDENTIFIER NOT NULL,
    [SOL_TYPE]                        INT              NOT NULL,
    [CLASS]                           NUMERIC (4)      NOT NULL,
    [NumeroResolucion]                NVARCHAR (50)    NOT NULL,
    [FechaResolucion]                 DATETIME         NOT NULL,
    [Nombre]                          NVARCHAR (100)   NOT NULL,
    [ConfiguracionCalificaciones]     NVARCHAR (MAX)   NOT NULL,
    [FechaInicioRecepcionSolicitudes] DATETIME         NOT NULL,
    [FechaFinRecepcionSolicitudes]    DATETIME         NOT NULL,
    CONSTRAINT [PK_CONFIGURACION_PROCESO] PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO
PRINT N'Creando [RADIO].[DOCUMENTOS_CONFIGURACION]...';


GO
CREATE TABLE [RADIO].[DOCUMENTOS_CONFIGURACION] (
    [ID]                       INT              IDENTITY (1, 1) NOT NULL,
    [ID_CONFIGURACION_PROCESO] UNIQUEIDENTIFIER NOT NULL,
    [ID_TIPO_ANEXO_SOL]        INT              NOT NULL,
    CONSTRAINT [PK_DOCUMENTOS_CONFIGURACION] PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO
PRINT N'Creando [RADIO].[EXPEDIENTES_TEMPORALES]...';


GO
CREATE TABLE [RADIO].[EXPEDIENTES_TEMPORALES] (
    [SERV_ID]       INT            NOT NULL,
    [SERV_NUMBER]   INT            NOT NULL,
    [LIC_NUMBER]    INT            NULL,
    [CUS_ID]        INT            NULL,
    [CUS_IDENT]     NVARCHAR (32)  NULL,
    [CUS_NAME]      NVARCHAR (200) NULL,
    [CUS_BRANCH]    INT            NULL,
    [CUS_EMAIL]     NVARCHAR (80)  NULL,
    [STATION_CLASS] NVARCHAR (1)   NULL,
    [STATE]         NVARCHAR (30)  NULL,
    [DEPTO]         NVARCHAR (50)  NULL,
    [CITY]          NVARCHAR (50)  NULL,
    [POWER]         FLOAT (53)     NULL,
    [ASL]           FLOAT (53)     NULL,
    [FREQUENCY]     FLOAT (53)     NULL,
    [CALL_SIGN]     NVARCHAR (20)  NULL,
    [SERV_NAME]     NVARCHAR (50)  NULL,
    [STOP_DATE]     DATETIME       NULL,
    [MODULATION]    NVARCHAR (2)   NULL,
    [SERV_STATUS]   NVARCHAR (4)   NULL,
    [CUST_TXT3]     NVARCHAR (10)  NULL,
    CONSTRAINT [PK_EXPEDIENTES_TEMPORALES] PRIMARY KEY CLUSTERED ([SERV_ID] ASC)
);


GO
PRINT N'Creando [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]...';


GO
CREATE TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD] (
    [SOL_UID]             UNIQUEIDENTIFIER NOT NULL,
    [RES_ROLE1_STATE_ID]  INT              NOT NULL,
    [RES_ROLE2_STATE_ID]  INT              NOT NULL,
    [RES_ROLE4_STATE_ID]  INT              NOT NULL,
    [RES_ROLE8_STATE_ID]  INT              NOT NULL,
    [RES_ROLE16_STATE_ID] INT              NOT NULL,
    [RES_ROLE32_STATE_ID] INT              NOT NULL,
    [RES_ROLE1_COMMENT]   NVARCHAR (250)   NULL,
    [RES_ROLE2_COMMENT]   NVARCHAR (250)   NULL,
    [RES_ROLE4_COMMENT]   NVARCHAR (250)   NULL,
    [RES_ROLE8_COMMENT]   NVARCHAR (250)   NULL,
    [RES_ROLE16_COMMENT]  NVARCHAR (250)   NULL,
    [RES_ROLE32_COMMENT]  NVARCHAR (250)   NULL,
    [RES_ROLEX_CHANGED]   BIT              NOT NULL,
    CONSTRAINT [PK_RESOLUCION_ANALISIS_VIABILIDAD] PRIMARY KEY CLUSTERED ([SOL_UID] ASC)
);


GO
PRINT N'Creando [RADIO].[RESOLUCIONES_VIABILIDAD]...';


GO
CREATE TABLE [RADIO].[RESOLUCIONES_VIABILIDAD] (
    [SOL_UID]            UNIQUEIDENTIFIER NOT NULL,
    [RES_NAME]           NVARCHAR (250)   NULL,
    [RES_CONTENT]        NVARCHAR (MAX)   NULL,
    [RES_CODIGO]         NVARCHAR (32)    NULL,
    [RES_VERSION]        NVARCHAR (16)    NULL,
    [RES_IS_CREATED]     BIT              NOT NULL,
    [RES_CREATED_DATE]   DATETIME         NOT NULL,
    [RES_MODIFIED_DATE]  DATETIME         NOT NULL,
    [RES_TRACKING_COUNT] INT              NOT NULL,
    [RES_PDF_FILE]       VARBINARY (MAX)  NULL,
    CONSTRAINT [PK_RESOLUCIONES_VIABILIDAD_1] PRIMARY KEY CLUSTERED ([SOL_UID] ASC)
);


GO
PRINT N'Creando [RADIO].[USERS_CNTCT_TEMPORALES]...';


GO
CREATE TABLE [RADIO].[USERS_CNTCT_TEMPORALES] (
    [ID]            NUMERIC (9)    IDENTITY (1, 1) NOT NULL,
    [ROLE]          NVARCHAR (4)   NULL,
    [TITLE]         NVARCHAR (10)  NULL,
    [FIRSTNAME]     NVARCHAR (100) NULL,
    [REGIST_NUM]    NVARCHAR (50)  NULL,
    [TEL]           NVARCHAR (30)  NULL,
    [EMAIL]         NVARCHAR (80)  NULL,
    [CITY_ID]       NUMERIC (9)    NULL,
    [POSTCODE]      NVARCHAR (15)  NULL,
    [CITY]          NVARCHAR (50)  NULL,
    [SUBPROVINCE]   NVARCHAR (50)  NULL,
    [PROVINCE]      NVARCHAR (50)  NULL,
    [COUNTRY_ID]    NVARCHAR (3)   NULL,
    [CUST_TXT1]     NVARCHAR (50)  NULL,
    [CUST_TXT4]     NVARCHAR (10)  NULL,
    [CUST_TXT5]     NVARCHAR (10)  NULL,
    [DATE_CREATED]  DATETIME       NULL,
    [CREATED_BY]    NVARCHAR (30)  NULL,
    [DATE_MODIFIED] DATETIME       NULL,
    [MODIFIED_BY]   NVARCHAR (30)  NULL,
    [EMAIL2]        NVARCHAR (80)  NULL,
    [ADDRESS]       NVARCHAR (300) NULL,
    [OPER_ID]       NUMERIC (9)    NULL,
    CONSTRAINT [PK_USERS_CNTCT_TEMPORALES] PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO
PRINT N'Creando [RADIO].[USERS_TEMPORALES]...';


GO
CREATE TABLE [RADIO].[USERS_TEMPORALES] (
    [ID]             NUMERIC (9)    NOT NULL,
    [NAME]           NVARCHAR (200) NOT NULL,
    [STATUS]         NVARCHAR (4)   NULL,
    [TYPE]           NVARCHAR (30)  NULL,
    [IDENT]          NVARCHAR (32)  NULL,
    [IDENT_CHK]      NVARCHAR (10)  NULL,
    [REPR_FIRSTNAME] NVARCHAR (60)  NULL,
    [DATE_CREATED]   DATETIME       NULL,
    [CREATED_BY]     NVARCHAR (30)  NULL,
    [DATE_MODIFIED]  DATETIME       NULL,
    [MODIFIED_BY]    NVARCHAR (30)  NULL,
    [LEVEL]          NUMERIC (1)    NOT NULL,
    CONSTRAINT [PK_USERS_TEMPORALES] PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE16_STATE_ID]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE16_STATE_ID] DEFAULT ((0)) FOR [RES_ROLE16_STATE_ID];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLEX_CHANGED]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLEX_CHANGED] DEFAULT ((0)) FOR [RES_ROLEX_CHANGED];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE32_STATE_ID]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE32_STATE_ID] DEFAULT ((0)) FOR [RES_ROLE32_STATE_ID];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE8_STATE_ID]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE8_STATE_ID] DEFAULT ((0)) FOR [RES_ROLE8_STATE_ID];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE4_STATE_ID]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE4_STATE_ID] DEFAULT ((0)) FOR [RES_ROLE4_STATE_ID];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE2_STATE_ID]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE2_STATE_ID] DEFAULT ((0)) FOR [RES_ROLE2_STATE_ID];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE1_STATE_ID]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCION_ANALISIS_VIABILIDAD_RES_ROLE1_STATE_ID] DEFAULT ((0)) FOR [RES_ROLE1_STATE_ID];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCIONES_VIABILIDAD_RES_IS_CREATED]...';


GO
ALTER TABLE [RADIO].[RESOLUCIONES_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCIONES_VIABILIDAD_RES_IS_CREATED] DEFAULT ((0)) FOR [RES_IS_CREATED];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCIONES_VIABILIDAD_RES_CREATED_DATE]...';


GO
ALTER TABLE [RADIO].[RESOLUCIONES_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCIONES_VIABILIDAD_RES_CREATED_DATE] DEFAULT (getdate()) FOR [RES_CREATED_DATE];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCIONES_VIABILIDAD_RES_TRACKING_COUNT]...';


GO
ALTER TABLE [RADIO].[RESOLUCIONES_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCIONES_VIABILIDAD_RES_TRACKING_COUNT] DEFAULT ((0)) FOR [RES_TRACKING_COUNT];


GO
PRINT N'Creando [RADIO].[DF_RESOLUCIONES_VIABILIDAD_RES_MODIFIED_DATE]...';


GO
ALTER TABLE [RADIO].[RESOLUCIONES_VIABILIDAD]
    ADD CONSTRAINT [DF_RESOLUCIONES_VIABILIDAD_RES_MODIFIED_DATE] DEFAULT (getdate()) FOR [RES_MODIFIED_DATE];


GO
PRINT N'Creando [RADIO].[FK_CALIFICACIONES_SOLICITUDES_SOLICITUDES]...';


GO
ALTER TABLE [RADIO].[CALIFICACIONES_SOLICITUDES] WITH NOCHECK
    ADD CONSTRAINT [FK_CALIFICACIONES_SOLICITUDES_SOLICITUDES] FOREIGN KEY ([SOL_UID]) REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID]) ON DELETE CASCADE ON UPDATE CASCADE;


GO
PRINT N'Creando [RADIO].[FK_DOCUMENTOS_CONFIGURACION_TIPO_ANEXO_SOL]...';


GO
ALTER TABLE [RADIO].[DOCUMENTOS_CONFIGURACION] WITH NOCHECK
    ADD CONSTRAINT [FK_DOCUMENTOS_CONFIGURACION_TIPO_ANEXO_SOL] FOREIGN KEY ([ID_TIPO_ANEXO_SOL]) REFERENCES [RADIO].[TIPO_ANEXO_SOL] ([ID_ANX_SOL]);


GO
PRINT N'Creando [RADIO].[FK_DOCUMENTOS_CONFIGURACION_CONFIGURACION_PROCESO]...';


GO
ALTER TABLE [RADIO].[DOCUMENTOS_CONFIGURACION] WITH NOCHECK
    ADD CONSTRAINT [FK_DOCUMENTOS_CONFIGURACION_CONFIGURACION_PROCESO] FOREIGN KEY ([ID_CONFIGURACION_PROCESO]) REFERENCES [RADIO].[CONFIGURACION_PROCESO] ([ID]);


GO
PRINT N'Creando [RADIO].[FK_RESOLUCION_ANALISIS_VIABILIDAD_SOLICITUDES]...';


GO
ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD] WITH NOCHECK
    ADD CONSTRAINT [FK_RESOLUCION_ANALISIS_VIABILIDAD_SOLICITUDES] FOREIGN KEY ([SOL_UID]) REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID]);


GO
PRINT N'Creando [RADIO].[FK_RESOLUCIONES_VIABILIDAD_SOLICITUDES]...';


GO
ALTER TABLE [RADIO].[RESOLUCIONES_VIABILIDAD] WITH NOCHECK
    ADD CONSTRAINT [FK_RESOLUCIONES_VIABILIDAD_SOLICITUDES] FOREIGN KEY ([SOL_UID]) REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID]);


GO
PRINT N'Creando [RADIO].[CONFIGURACION_PROCESO].[SOL_TYPE].[MS_Description]...';


GO
EXECUTE sp_addextendedproperty @name = N'MS_Description', @value = N'1: Emisora comunitaria; 2: Emisora comunitaria grupos étnicos; 3: Emisora comercial; 4: Emisora de interés público', @level0type = N'SCHEMA', @level0name = N'RADIO', @level1type = N'TABLE', @level1name = N'CONFIGURACION_PROCESO', @level2type = N'COLUMN', @level2name = N'SOL_TYPE';


GO
PRINT N'Creando [RADIO].[DOCUMENTOS_CONFIGURACION].[ID_TIPO_ANEXO_SOL].[MS_Description]...';


GO
EXECUTE sp_addextendedproperty @name = N'MS_Description', @value = N'Identificador del tipo de anexo de la solicitud RDS', @level0type = N'SCHEMA', @level0name = N'RADIO', @level1type = N'TABLE', @level1name = N'DOCUMENTOS_CONFIGURACION', @level2type = N'COLUMN', @level2name = N'ID_TIPO_ANEXO_SOL';


GO
PRINT N'Comprobando los datos existentes con las restricciones recién creadas';




GO
ALTER TABLE [RADIO].[CALIFICACIONES_SOLICITUDES] WITH CHECK CHECK CONSTRAINT [FK_CALIFICACIONES_SOLICITUDES_SOLICITUDES];

ALTER TABLE [RADIO].[DOCUMENTOS_CONFIGURACION] WITH CHECK CHECK CONSTRAINT [FK_DOCUMENTOS_CONFIGURACION_TIPO_ANEXO_SOL];

ALTER TABLE [RADIO].[DOCUMENTOS_CONFIGURACION] WITH CHECK CHECK CONSTRAINT [FK_DOCUMENTOS_CONFIGURACION_CONFIGURACION_PROCESO];

ALTER TABLE [RADIO].[RESOLUCION_ANALISIS_VIABILIDAD] WITH CHECK CHECK CONSTRAINT [FK_RESOLUCION_ANALISIS_VIABILIDAD_SOLICITUDES];

ALTER TABLE [RADIO].[RESOLUCIONES_VIABILIDAD] WITH CHECK CHECK CONSTRAINT [FK_RESOLUCIONES_VIABILIDAD_SOLICITUDES];


GO
PRINT N'Actualización completada.';


GO
